curl --request POST \
--url 'https://api.adside.ai/meta/mcp#create_custom_audience' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"subtype": "CUSTOM",
"account_id": "<string>",
"description": "<string>",
"customer_file_source": "USER_PROVIDED_ONLY",
"retention_days": 90.5,
"rule": "<unknown>"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Create a new custom audience from customer data, website visitors, app users, or other sources. Specify subtype to control the data source.
curl --request POST \
--url 'https://api.adside.ai/meta/mcp#create_custom_audience' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"subtype": "CUSTOM",
"account_id": "<string>",
"description": "<string>",
"customer_file_source": "USER_PROVIDED_ONLY",
"retention_days": 90.5,
"rule": "<unknown>"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.